toggling symbol visibility does not trigger map refresh

2014-09-09 06:13 AM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Map Legend

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19483

Description

toggling a symbol visiblity (of a rule based symbology) in the legend does not trigger the map refresh so it doesn't have any impact until

you manually trigger a refresh.

Associated revisions

Revision e96ff4aa - 2014-09-10 07:55 AM - Martin Dobias

Fix #11169 (toggling symbol visibility does not trigger refresh)

This could have happened when the same project was reloaded, then map canvas

failed to clear itself and some connections to repaintRequested were broken

History

#1 - 2014-09-09 09:43 PM - Martin Dobias

- Status changed from Open to Feedback

I cannot replicate - if I add a layer and set its symbology to rule-based and check/uncheck a rulue, the map is refreshed. From the legend node we call

clearCacheImage() which in turn emits repaintRequested(), that signals is then connected to map canvas' refresh().

#2 - 2014-09-09 10:17 PM - Denis Rouzaud

- Status changed from Feedback to Closed

Hmmm, sorry for this. I cannot replicate either. Sorry for the noise. I hesitated at doing a video at first, I should have.

#3 - 2014-09-09 11:01 PM - Martin Dobias

In the end I was able to replicate when reloading a previously loaded project - fixed now.
